# Uses of Class
javax.naming.Reference

Packages that use Reference
Package
Description
javax.naming
Provides the classes and interfaces for accessing naming services.

## Uses of Reference in javax.naming

Subclasses of Reference in javax.naming
Modifier and Type
Class
Description
`class`
`LinkRef`
This class represents a Reference whose contents is a name, called the link name, that is bound to an atomic name in a context.
Methods in javax.naming that return Reference
Modifier and Type
Method
Description
`Reference`
Referenceable.`getReference()`
Retrieves the Reference of this object.